1.3
1.3
get /v1/lb-listeners
Description
Listener 목록을 조회한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | loadbalancer_id optional | LB 아이디 Example : | any of [string, null] | None |
| query | state optional | Listener 상태 Example : | any of [string, null] | None |
| query | name optional | Listener 명 Example : | any of [string, null] | None |
| query | service_port optional | 서비스 포트 Example : | any of [integer, null] | None |
| query | protocol optional | 프로토콜 Example : ['TCP', 'UDP'] | any of [array[enum (TCP, UDP, HTTP, HTTPS, TLS, TCP_PROXY)], enum (TCP, UDP, HTTP, HTTPS, TLS, TCP_PROXY), null] | None |
| query | not_protocol optional | The protocol of the listener to exclude. Example : TCP | any of [enum (TCP, UDP, HTTP, HTTPS, TLS, TCP_PROXY), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbListenerListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-listeners
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.3"
Example HTTP response
Response 200
{
"count": 20,
"listeners": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"protocol": "TCP",
"service_port": "",
"state": ""
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}